it.csi.mddtools.guigen

## Interface PEPImplementation

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PEPImplementation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'PEP Implementation'.

  The following features are supported:

  - `Params`
  - `Custom`
  - `Inline Code Snippets`
  See Also:
    `GuigenPackage.getPEPImplementation()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<InlineCodeSnippet>` | `getInlineCodeSnippets()` Returns the value of the 'Inline Code Snippets' containment reference list.
    `org.eclipse.emf.common.util.EList<EnvConfigParam>` | `getParams()` Returns the value of the 'Params' containment reference list.
    `boolean` | `isCustom()` Returns the value of the 'Custom' attribute
    `void` | `setCustom(boolean value)` Sets the value of the '`Custom`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParams

          org.eclipse.emf.common.util.EList<EnvConfigParam> getParams()

      Returns the value of the 'Params' containment reference list. The list contents are of type `EnvConfigParam`.

      If the meaning of the 'Params' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Params' containment reference list.
      See Also:
        `GuigenPackage.getPEPImplementation_Params()`

    - #### isCustom

          boolean isCustom()

      Returns the value of the 'Custom' attribute.

      If the meaning of the 'Custom' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Custom' attribute.
      See Also:
        `setCustom(boolean)`, `GuigenPackage.getPEPImplementation_Custom()`

    - #### setCustom

          void setCustom(boolean value)

      Sets the value of the '`Custom`' attribute.
      Parameters:
        `value` - the new value of the 'Custom' attribute.
      See Also:
        `isCustom()`

    - #### getInlineCodeSnippets

          org.eclipse.emf.common.util.EList<InlineCodeSnippet> getInlineCodeSnippets()

      Returns the value of the 'Inline Code Snippets' containment reference list. The list contents are of type `InlineCodeSnippet`.

      If the meaning of the 'Inline Code Snippets' containment reference list isn't clear, there really should be more of a description here...

      Sono disponibili le seguenti chiavi:

      Name | Position | Descrizione
      --- | --- | ---
      import | methodPrivate | definizione import custom
      body | findActorsForPersonaInApplication | regione protetta metodo omonimo
      body | findActorsForPersonaInUseCase | regione protetta metodo omonimo
      body | findRuoliForPersonaInApplication | regione protetta metodo omonimo
      body | findRuoliForPersonaInUseCase | regione protetta metodo omonimo
      body | findUseCasesForPersonaInApplication | regione protetta metodo omonimo
      body | getInfoPersonaInUseCase | regione protetta metodo omonimo
      body | getInfoPersonaSchema | regione protetta metodo omonimo
      body | identificaCertificato | regione protetta metodo omonimo
      body | identificaUserPassword | regione protetta metodo omonimo
      body | identificaUserPasswordPIN | regione protetta metodo omonimo
      body | isIdentitaAutentica | regione protetta metodo omonimo
      body | isPersonaAutorizzataInUseCase | regione protetta metodo omonimo
      body | isPersonaInRuolo | regione protetta metodo omonimo
      body | methodPrivate | introduzione eventuali metodi custom private aggiuntivi

      Returns:
        the value of the 'Inline Code Snippets' containment reference list.
      See Also:
        `GuigenPackage.getPEPImplementation_InlineCodeSnippets()`